import request from '@/utils/request'

// 查询居住人员信息，存储居住人员的详细信息列表
export function listResidentInfo(query) {
  return request({
    url: '/wuYe/residentInfo/list',
    method: 'get',
    params: query
  })
}

// 查询居住人员信息，存储居住人员的详细信息详细
export function getResidentInfo(residentId) {
  return request({
    url: '/wuYe/residentInfo/' + residentId,
    method: 'get'
  })
}

// 新增居住人员信息，存储居住人员的详细信息
export function addResidentInfo(data) {
  return request({
    url: '/wuYe/residentInfo',
    method: 'post',
    data: data
  })
}

// 修改居住人员信息，存储居住人员的详细信息
export function updateResidentInfo(data) {
  return request({
    url: '/wuYe/residentInfo/put',
    method: 'post',
    data: data
  })
}

// 删除居住人员信息，存储居住人员的详细信息
export function delResidentInfo(residentId) {
  return request({
    url: '/wuYe/residentInfo/delete/' + residentId,
    method: 'get'
  })
}

// 身份证识别

export function ocrIdCard(data) {
  return request({
    url: '/ocr/ocrIdCard',
    method: 'post',
    data: data
  })
}

// 车牌照识别

export function licensePlate(data) {
  return request({
    url: '/ocr/licensePlate',
    method: 'post',
    data: data
  })
}

// 房产证
export function realEstateCertificate(data) {
  return request({
    url: '/ocr/realEstateCertificate',
    method: 'post',
    data: data
  })
}


